const EXPRESS = require('express');
const ROUTER = EXPRESS.Router();
const STOPS_COUNT_ZHV = require('../service/stops-count-zhv');
const UTILS=require('../utils');

//GET listing
ROUTER.get('/', async function(req, res, next) {
    try {
	res.json(await STOPS_COUNT_ZHV.get());
    } catch (err) {
	console.error(`Error while getting data: `, err.message);
	res.status(err.statusCode || 500).json(UTILS.MSGS.error);
    }
});

module.exports = ROUTER;
