const debug=require('debug')('debug');
const db = require('./db');
const helper = require('../helper');

require('dotenv').config();

async function get(oset = 1,limit = 100) {
    //debug('stops-gtfs-de-not-dhid-oset-limit start...');
    const schema = process.env.DB_SCHEMA || 'schema';
    //debug('stops-de-not-dhid-oset-limit schema: ' + schema);

    const offset = helper.getOffset(oset, limit);
    //debug('stops-de-not-dhid-oset-limit offset: ' + offset);
    //debug('stops-de-not-dhid-oset-limit limit: ' + limit);

    const query = 'SELECT stop_id,stop_name,stop_lat,stop_lon FROM ' + schema + '.tbl_gtfs_stops_de_not_dhid OFFSET ' + offset + ' LIMIT ' + limit + ';';
    //debug('stops-de-not-dhid-oset-limit query: ' + query);

    const rows = await db.query(query);

    const data = helper.emptyOrRows(rows);
    //debug('stops-gtfs-de-not-dhid-oset-limit done.');
    return data;
};
module.exports = {
  get
};
